commit:     4e38b1d2fb09b87133204eb96e14dd257eb4c9d6
Author:     Aaron W. Swenson <titanofold <AT> gentoo <DOT> org>
AuthorDate: Thu Dec  3 14:22:35 2020 +0000
Commit:     Aaron W. Swenson <titanofold <AT> gentoo <DOT> org>
CommitDate: Thu Dec  3 14:22:35 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4e38b1d2

dev-db/slony1: Bump to 2.2.9

Bug: https://bugs.gentoo.org/735696
Signed-off-by: Aaron W. Swenson <titanofold <AT> gentoo.org>

 dev-db/slony1/Manifest            |  2 ++
 dev-db/slony1/slony1-2.2.9.ebuild | 74 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 76 insertions(+)

diff --git a/dev-db/slony1/Manifest b/dev-db/slony1/Manifest
index d2aa25d1b4c..bd159cdfd87 100644
--- a/dev-db/slony1/Manifest
+++ b/dev-db/slony1/Manifest
@@ -2,3 +2,5 @@ DIST slony1-2.2.6-docs.tar.bz2 1450956 BLAKE2B 
949d0736eb9ab021767b80b4240e30a8c
 DIST slony1-2.2.6.tar.bz2 1465709 BLAKE2B 
87e581638aab5ac9f51437fc43b65f200c29e012fa2b5331d4a7972359bb345c8d5aec9917fbc348ce8338115f8270d6e55025905aa5aba642090a8486d0a3fc
 SHA512 
5aeadb9ed72b83d303596e4f8513409a1f826f25fe283ca6aa969a7563172bbc5f5360f876fa87780f6a6fc70cb55688a2daf678b9cf91972a3c403cb76184b8
 DIST slony1-2.2.7-docs.tar.bz2 252020 BLAKE2B 
315d54c008fca121fac12385602e729c7bb6a7a90db502165625c1138da6b87f147410555ca6bc315ba766fd6fed22b6c5dcbe06c9481dd37b9e9c8832209b02
 SHA512 
7735aae634788acae77eb2cc64f51a851e3b804fb1ca860eddc237734aa6182bd7dfcdae485cd89682c413f55003ea67d91c4c24922b4fdef79ac34793022e56
 DIST slony1-2.2.7.tar.bz2 1464923 BLAKE2B 
aee11f92d634a6c2eaf84dd48faf6cac7a27956474aaa9070f1d4fad3e70b0af09475abda149e096f1b238d68237c0b43b18880440bd4c2d66f5c0f4ad789e99
 SHA512 
22700e1574c91d4a4be5b78aac967eebc039440897364780891c2c76ed5b8e07c03205f0fbcd4870ee7c620d62b175987c46c43750524c6e5f9009044cc24f9a
+DIST slony1-2.2.9-docs.tar.bz2 1445251 BLAKE2B 
eafd17370e333a706fd563440b7948513db19a05e23f6a0a118e0f8927b5b52c99f46953c3c9ce2d8e9f04371a35ff390e0e542f295f4e926b7002642fc913b0
 SHA512 
88d1c26d668b4a021c7b53cb5c2a9b140485595460d1444997ae49e4b77910f58860d603777f1836fdfa1231d2e44ad5cdf8e82c0a03df5278c9de7de3101c5b
+DIST slony1-2.2.9.tar.bz2 1464548 BLAKE2B 
6a2f3e21679ed1542066016bdc9e97aa7b5885fe15770d5015f26deb16e4d9634b930d9f13a8dbba6b1e89bf28cdcc28b3181f12efbf9b549a75c6e62755c099
 SHA512 
c42d7604ae2eda9b83bfa608ca13a4a25b2a4b77301a591b9308eda964d263490a02acdfd5b1a7e7751c24b2a7cb5d9410c58deaf82bdb3c422456af65c2b3f5

diff --git a/dev-db/slony1/slony1-2.2.9.ebuild 
b/dev-db/slony1/slony1-2.2.9.ebuild
new file mode 100644
index 00000000000..bd13243822d
--- /dev/null
+++ b/dev-db/slony1/slony1-2.2.9.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+POSTGRES_COMPAT=( 9.{5..6} {10..13} )
+POSTGRES_USEDEP="server,threads"
+
+inherit postgres-multi
+
+IUSE="doc perl"
+
+DESCRIPTION="A replication system for the PostgreSQL Database Management 
System"
+HOMEPAGE="http://slony.info/";
+
+MAJ_PV=$(ver_cut 1-2)
+SRC_URI="https://www.slony.info/downloads/${MAJ_PV}/source/${P}.tar.bz2
+       doc? ( 
https://www.slony.info/downloads/${MAJ_PV}/source/${P}-docs.tar.bz2 )
+"
+
+LICENSE="BSD GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+
+DEPEND="${POSTGRES_DEP}
+               perl? ( dev-perl/DBD-Pg )
+"
+RDEPEND=${DEPEND}
+
+REQUIRE_USE="${POSTGRES_REQ_USE}"
+
+# Testing requires a more complex setup than we benefit from being able
+# to perform.
+# https://slony.info/documentation/2.2/testing.html
+RESTRICT="test"
+
+src_unpack() {
+       unpack ${P}.tar.bz2
+
+       if use doc ; then
+               # The docs tarball will unpack over the source directory. So, we
+               # clear the adminguide directory now to make it easier to
+               # install later.
+               rm ${P}/doc/adminguide/* || die
+               unpack ${P}-docs.tar.bz2
+       fi
+}
+
+src_configure() {
+       local slot_bin_dir="/usr/$(get_libdir)/postgresql-@PG_SLOT@/bin"
+       use perl && myconf=" --with-perltools=\"${slot_bin_dir}\""
+       postgres-multi_foreach econf ${myconf} \
+                                                  
--with-pgconfigdir="${slot_bin_dir}" \
+                                                  
--with-slonybindir="${slot_bin_dir}"
+}
+
+src_install() {
+       postgres-multi_foreach emake DESTDIR="${D}" install
+
+       dodoc README SAMPLE TODO UPGRADING share/slon.conf-sample
+       use doc && postgres-multi_forbest dodoc -r doc/adminguide
+
+       newinitd "${FILESDIR}"/slony1.init slony1
+       newconfd "${FILESDIR}"/slony1.conf slony1
+}
+
+pkg_postinst() {
+       # Slony-I installs its executables into a directory that is
+       # processed by the PostgreSQL eselect module. Call it here so that
+       # the symlinks will be created.
+       ebegin "Refreshing PostgreSQL $(postgresql-config show) symlinks"
+       postgresql-config update
+       eend $?
+}

Reply via email to